Page 7 of 26

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Mon Apr 25, 2016 8:08 pm
by skamasle
sarathorn wrote:Hi!

I had a lot of troubles on CentOS 6.7 x32 (512Mb RAM), but it worked on CentOS 7.2 x64 (1Gb RAM).

Can't find php.ini for php7.0. php.ini for 5.4/5.5/5.6 are on their places.

Short open tags (<? ?>) are turned off in every php.ini by default...
512MB of ram is not good for fastcgi

And php.ini is there in some part of the system you can check here -> http://forum.vestacp.com/viewtopic.php? ... =10#p40817

And you can do info.php to know real paths on your system, may vary in centos 7 and centos 6

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Tue Apr 26, 2016 8:02 pm
by sarathorn
skamasle wrote: And php.ini is there in some part of the system you can check here -> http://forum.vestacp.com/viewtopic.php? ... =10#p40817
Thank you! I have to be more attentive next time.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Apr 27, 2016 7:12 pm
by gwolf2u
baijianpeng wrote:I followed above steps, inserted that line to that file, then switched Web Template to "sk-php56", then back to "sk-php70", but the same problem happened. The log file still shows (I tried twice to install the same Joomla extension as yestoday) :
[Wed Apr 13 17:36:54.383762 2016] [fcgid:warn] [pid 3981] [client 192.168.1.3:48591] mod_fcgid: HTTP request length 135148 (so far) exceeds MaxRequestLen (131072), referer: http://www.gate.com/administrator/index ... _installer

[Wed Apr 13 17:40:32.146088 2016] [fcgid:warn] [pid 4873] [client 192.168.1.3:48642] mod_fcgid: HTTP request length 135148 (so far) exceeds MaxRequestLen (131072), referer: http://www.gate.com/administrator/index ... _installer
I even tried to restart "httpd" and tried install it again, the same thing happened.

This is weired. Maybe I need to edit the file "php.ini" of PHP 7.0 ? Where is it?

I also made another test: if I switch back to "Default" web template (php 5.4), and tried to install the same Joomla extension, I got different error, shown on Joomla backend page:
Copy file failed
And no related error message in gate.com.error.log file.

Why?

Thank you.
Just wanted to share a fix for this
Add to /usr/local/vesta/data/templates/web/httpd/sk-php70.stpl and /usr/local/vesta/data/templates/web/httpd/sk-php70.tpl

Code: Select all

FcgidMaxRequestLen 5000000
You need to add this line just above </VirtualHost>
Next you need to issue the following command in terminal

Code: Select all

v-rebuild-user [user] restart
Ex: v-rebuild-user admin restart

You should be ok then

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Thu May 05, 2016 2:09 am
by Syeef
Is it possible to give us an uninstaller for this? in case we ever need it?

Thanks.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun May 08, 2016 4:26 am
by baijianpeng
Is it possible to install Memcached or Xcache or Varnish or something similar, or some combination of them, at the same time when installing PHP 5.5, PHP 5.6 and PHP 7 with this script ?

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun May 08, 2016 6:44 am
by leisegang
Syeef wrote:Is it possible to give us an uninstaller for this? in case we ever need it?

Thanks.
use something like this:

Code: Select all

yum remove php7-common

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun May 08, 2016 6:46 am
by leisegang
baijianpeng wrote:Is it possible to install Memcached or Xcache or Varnish or something similar, or some combination of them, at the same time when installing PHP 5.5, PHP 5.6 and PHP 7 with this script ?
Memcached is installed as default with this script.
it uses version 3.0.9-dev on mine.

check
etc/opt/remi/php70/php.d/40-memcache.ini
for settings

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun May 08, 2016 9:33 am
by Syeef
leisegang wrote: use something like this:

Code: Select all

yum remove php7-common
Well I know that... but I was talking about a full uninstaller, one that removes everything including the templates installed.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun May 08, 2016 9:38 am
by leisegang
There is none now. But basically you can remove the templates and it's gone from vesta. Will still take some space.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun May 08, 2016 9:41 am
by Syeef
baijianpeng wrote:Is it possible to install Memcached or Xcache or Varnish or something similar, or some combination of them, at the same time when installing PHP 5.5, PHP 5.6 and PHP 7 with this script ?
To install something additional, do this:

Code: Select all

yum install php55-php-soap --enablerepo=remi
yum install php56-php-soap --enablerepo=remi
yum install php70-php-soap --enablerepo=remi
In my case, I needed soap, which was not installed by default. Just replace "soap" with what you need.